Page MenuHomePhabricator

Allow exact match search and searching all words in the string
Closed, ResolvedPublic

Description

Allow users to perform exact match search, searching any word in the string, searching all words in the string.

Event Timeline

Phoenix303 updated the task description. (Show Details)
Phoenix303 raised the priority of this task from to Normal.
Phoenix303 claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2015, 6:47 PM
Phoenix303 set Security to None.

Change 223765 had a related patch set uploaded (by Phoenix303):
Use AND operator to search messages containing all words in the search string.

https://gerrit.wikimedia.org/r/223765

Searching any word in the string is the default behaviour which is already supported in the product.

Phoenix303 renamed this task from Allow exact match search, searching any word in the string, searching all words in the string to Allow exact match search and searching all words in the string.Jul 10 2015, 6:00 AM

Change 226289 had a related patch set uploaded (by Phoenix303):
Search messages containing exact search phrase.

https://gerrit.wikimedia.org/r/226289

This works ok at http://translation-search.wmflabs.org/wiki/Special:SearchTranslations ; we currently think we should probably

  • put the OR/AND/phrase dropdown next to the search bar with text as in http://catalog.loc.gov/vwebv/searchAdvanced ;
  • default to OR search without options as currently done, show the dropdown if there are "many" results;
  • perhaps display some message to explain the appearance of the dropdown.
Nemo_bis lowered the priority of this task from Normal to Low.Aug 17 2015, 8:41 AM

With some more testing and digging deeper into the features of ElasticSearch, I have found few conclusions we made earlier not to be completely true.

  • ElasticSearch does not score phrase matches higher( not found any document to support ), but scores AND higher than OR. In other words, even with the default 'OR' search ES would score documents which match all the query words high. However, this is only true for each shard. ES does not score based on the entire index (globally) Ref.
  • An example in translatewiki.net and with the offset=150.

Change 226289 abandoned by Phoenix303:
Search messages containing the exact search phrase.

Reason:
Not required anymore.

https://gerrit.wikimedia.org/r/226289

Change 223765 merged by jenkins-bot:
Support search for all words in the search string.

https://gerrit.wikimedia.org/r/223765

Phoenix303 closed this task as Resolved.Aug 21 2015, 6:57 AM